#include "defines.h"
#include "aigtext.h"

void fill_area(int sx,int sy,int wx,int wy,int col)
/* 指定色情報に従ってテキスト画面の領域を埋める */
/* 座標はグラフィック座標 */
{
unsigned c,ptrn;
int pt0,pt1;
	c=curmode(0);	/* カーソルＯＦＦ */
	ptrn=(col&REVERSE? 0xffff:0x0000);
	col&=(BIT0|BIT1); /* 色のみ読みだし */
	if (col==TBLACK||col==TWHITE) {
		/* 黒または白の時：同時アクセスで２プレーン同時書き込み */
		txfill(BIT15|BIT1|BIT0,sx,sy,wx,wy,(col==TWHITE? ptrn:0x0000));
	} else { /* 黄色、水色の時は個別プレーン描画 */
		pt0=ptrn;
		pt1=0x0000;
		if (col==TYELLOW) {pt0=0x0000; pt1=ptrn;}
		txfill(0,sx,sy,wx,wy,pt0);
		txfill(1,sx,sy,wx,wy,pt1);
	}
	curmode(c);	/* カーソルＯＮ */
}
